Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.web
Class WebRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jboss.portal.web.WebRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class WebRequest

extends javax.servlet.http.HttpServletRequestWrapper

Add useful information about an `HttpServletRequest`.

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `WebRequest.Verb`

Field Summary
`static java.lang.String` | `APPLICATION_X_WWW_FORM_URLENCODED_MEDIA_TYPE` .
`static java.lang.String` | `MULTIPART_FORM_DATA_MEDIA_TYPE` .
`static java.nio.charset.Charset` | `UTF_8_CHARSET` .

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`WebRequest(javax.servlet.http.HttpServletRequest req)`

Method Summary
`Body` | `getBody()`
`java.nio.charset.Charset` | `getCharset()`
`java.lang.String` | `getMediaType()`
`ParameterMap` | `getQueryParameterMap()`
`WebRequest.Verb` | `getVerb()`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Field Detail

### APPLICATION_X_WWW_FORM_URLENCODED_MEDIA_TYPE

    public static final java.lang.String APPLICATION_X_WWW_FORM_URLENCODED_MEDIA_TYPE

  .

  See Also:
    Constant Field Values

### MULTIPART_FORM_DATA_MEDIA_TYPE

    public static final java.lang.String MULTIPART_FORM_DATA_MEDIA_TYPE

  .

  See Also:
    Constant Field Values

### UTF_8_CHARSET

    public static final java.nio.charset.Charset UTF_8_CHARSET

  .

Constructor Detail

### WebRequest

    public WebRequest(javax.servlet.http.HttpServletRequest req)
               throws java.io.UnsupportedEncodingException,
                      IllegalRequestException

Throws:
  `java.io.UnsupportedEncodingException`
  `IllegalRequestException`

Method Detail

### getVerb

    public WebRequest.Verb getVerb()

### getCharset

    public java.nio.charset.Charset getCharset()

### getQueryParameterMap

    public ParameterMap getQueryParameterMap()

### getBody

    public Body getBody()

### getMediaType

    public java.lang.String getMediaType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD